%global momorel 1
%global md5sum_src0 735f7b911cd00540d2bea8596a3859cd
%global majorminor      0.10
%global _gst            0.10.13

Name: 		gst-plugins-base
Version: 	0.10.13
Release: %{momorel}m%{?dist}
Summary: 	GStreamer streaming media framework base plug-ins

Group: 		Applications/Multimedia
License: 	LGPL
URL:		http://gstreamer.freedesktop.org/
%NoSource 0 http://gstreamer.freedesktop.org/src/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Requires:       gstreamer >= %{_gst}
Requires:       libvisual >= 0.4.0
BuildRequires: 	gstreamer-devel >= %{_gst}

BuildRequires:	liboil-devel >= 0.3.11
BuildRequires:  gettext
BuildRequires:  gcc-c++

BuildRequires:  gnome-vfs2-devel >= 2.18.0.1
BuildRequires:  libogg-devel >= 1.1.3
BuildRequires:  libvorbis-devel >= 1.1.2
BuildRequires:  libtheora-devel >= 1.0
BuildRequires:  alsa-lib-devel
BuildRequires:  pango-devel >= 1.16.1
BuildRequires:  libXv-devel
BuildRequires:  libvisual-devel >= 0.4.0

# documentation
BuildRequires:  gtk-doc >= 1.8
BuildRequires:  PyXML

%description
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of well-maintained base plug-ins.

%prep
%setup -q

%build
%configure \
  --enable-gtk-doc
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README REQUIREMENTS

# helper programs
%{_bindir}/gst-visualise-%{majorminor}
%{_mandir}/man1/gst-visualise-%{majorminor}*

# libraries
%{_libdir}/libgstinterfaces-%{majorminor}.so.*
%{_libdir}/libgstaudio-%{majorminor}.so.*
%{_libdir}/libgstriff-%{majorminor}.so.*
%{_libdir}/libgsttag-%{majorminor}.so.*
%{_libdir}/libgstnetbuffer-%{majorminor}.so.*
%{_libdir}/libgstrtp-%{majorminor}.so.*
%{_libdir}/libgstvideo-%{majorminor}.so.*
%{_libdir}/libgstcdda-0.10.so.*
%{_libdir}/libgstpbutils-%{majorminor}.so.*

# base plugins without external dependencies
%{_libdir}/gstreamer-%{majorminor}/libgstadder.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudioconvert.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudiotestsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstffmpegcolorspace.so
%{_libdir}/gstreamer-%{majorminor}/libgstdecodebin.so
%{_libdir}/gstreamer-%{majorminor}/libgstplaybin.so
%{_libdir}/gstreamer-%{majorminor}/libgsttypefindfunctions.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideotestsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudiorate.so
%{_libdir}/gstreamer-%{majorminor}/libgstsubparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstvolume.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideorate.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideoscale.so
%{_libdir}/gstreamer-%{majorminor}/libgsttcp.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideo4linux.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudioresample.so
%{_libdir}/gstreamer-%{majorminor}/libgstcdparanoia.so
%{_libdir}/gstreamer-%{majorminor}/libgstlibvisual.so
%{_libdir}/gstreamer-%{majorminor}/libgstgdp.so

# base plugins with dependencies
%{_libdir}/gstreamer-%{majorminor}/libgstalsa.so
%{_libdir}/gstreamer-%{majorminor}/libgstgnomevfs.so
%{_libdir}/gstreamer-%{majorminor}/libgstogg.so
%{_libdir}/gstreamer-%{majorminor}/libgstpango.so
%{_libdir}/gstreamer-%{majorminor}/libgsttheora.so
%{_libdir}/gstreamer-%{majorminor}/libgstvorbis.so
%{_libdir}/gstreamer-%{majorminor}/libgstximagesink.so
%{_libdir}/gstreamer-%{majorminor}/libgstxvimagesink.so
%{_libdir}/gstreamer-%{majorminor}/libgstdecodebin2.so
%{_libdir}/gstreamer-%{majorminor}/libgstqueue2.so
%{_libdir}/gstreamer-%{majorminor}/libgsturidecodebin.so

# locale
%{_datadir}/locale/*/*/*

%package devel
Summary: 	GStreamer Base Plugins Development files
Group: 		Development/Libraries
Requires: 	%{name} = %{version}

%description devel
GStreamer Base Plugins library development and header files.

%files devel
%defattr(-, root, root)
# plugin helper library headers
%{_includedir}/gstreamer-%{majorminor}/gst/audio/audio.h
%{_includedir}/gstreamer-%{majorminor}/gst/audio/gstaudiofilter.h
%{_includedir}/gstreamer-%{majorminor}/gst/audio/multichannel.h
%{_includedir}/gstreamer-%{majorminor}/gst/floatcast/floatcast.h
%{_includedir}/gstreamer-%{majorminor}/gst/riff/riff-ids.h
%{_includedir}/gstreamer-%{majorminor}/gst/riff/riff-media.h
%{_includedir}/gstreamer-%{majorminor}/gst/riff/riff-read.h
%{_includedir}/gstreamer-%{majorminor}/gst/video/video.h
%{_includedir}/gstreamer-%{majorminor}/gst/video/gstvideofilter.h
%{_includedir}/gstreamer-%{majorminor}/gst/video/gstvideosink.h
%{_includedir}/gstreamer-%{majorminor}/gst/interfaces/colorbalance.h
%{_includedir}/gstreamer-%{majorminor}/gst/interfaces/colorbalancechannel.h
%{_includedir}/gstreamer-%{majorminor}/gst/interfaces/interfaces-enumtypes.h
%{_includedir}/gstreamer-%{majorminor}/gst/interfaces/mixer.h
%{_includedir}/gstreamer-%{majorminor}/gst/interfaces/mixeroptions.h
%{_includedir}/gstreamer-%{majorminor}/gst/interfaces/mixertrack.h
%{_includedir}/gstreamer-%{majorminor}/gst/interfaces/navigation.h
%{_includedir}/gstreamer-%{majorminor}/gst/interfaces/propertyprobe.h
%{_includedir}/gstreamer-%{majorminor}/gst/interfaces/tuner.h
%{_includedir}/gstreamer-%{majorminor}/gst/interfaces/tunerchannel.h
%{_includedir}/gstreamer-%{majorminor}/gst/interfaces/tunernorm.h
%{_includedir}/gstreamer-%{majorminor}/gst/interfaces/xoverlay.h
%{_includedir}/gstreamer-%{majorminor}/gst/audio/gstaudiosrc.h
%{_includedir}/gstreamer-%{majorminor}/gst/audio/gstbaseaudiosrc.h
%{_includedir}/gstreamer-%{majorminor}/gst/audio/multichannel-enumtypes.h
%{_includedir}/gstreamer-%{majorminor}/gst/rtp/gstrtpbuffer.h
%{_includedir}/gstreamer-%{majorminor}/gst/audio/gstaudioclock.h
%{_includedir}/gstreamer-%{majorminor}/gst/audio/gstaudiosink.h
%{_includedir}/gstreamer-%{majorminor}/gst/audio/gstbaseaudiosink.h
%{_includedir}/gstreamer-%{majorminor}/gst/audio/gstringbuffer.h
%{_includedir}/gstreamer-%{majorminor}/gst/netbuffer/gstnetbuffer.h
%{_includedir}/gstreamer-%{majorminor}/gst/tag/tag.h
%{_includedir}/gstreamer-%{majorminor}/gst/rtp/gstbasertpdepayload.h
%{_includedir}/gstreamer-%{majorminor}/gst/rtp/gstbasertppayload.h
%{_includedir}/gstreamer-%{majorminor}/gst/audio/mixerutils.h
%{_includedir}/gstreamer-%{majorminor}/gst/cdda/gstcddabasesrc.h
%{_includedir}/gstreamer-%{majorminor}/gst/interfaces/videoorientation.h
%{_includedir}/gstreamer-%{majorminor}/gst/rtp/gstbasertpaudiopayload.h
%{_includedir}/gstreamer-%{majorminor}/gst/rtp/gstrtcpbuffer.h
%{_includedir}/gstreamer-%{majorminor}/gst/pbutils/descriptions.h
%{_includedir}/gstreamer-%{majorminor}/gst/pbutils/install-plugins.h
%{_includedir}/gstreamer-%{majorminor}/gst/pbutils/missing-plugins.h
%{_includedir}/gstreamer-%{majorminor}/gst/pbutils/pbutils.h

%{_libdir}/libgstaudio-%{majorminor}.so
%{_libdir}/libgstinterfaces-%{majorminor}.so
%{_libdir}/libgstnetbuffer-%{majorminor}.so
%{_libdir}/libgstriff-%{majorminor}.so
%{_libdir}/libgstrtp-%{majorminor}.so
%{_libdir}/libgsttag-%{majorminor}.so
%{_libdir}/libgstvideo-%{majorminor}.so
%{_libdir}/libgstcdda-%{majorminor}.so
%{_libdir}/libgstpbutils-%{majorminor}.so

# pkg-config files
%{_libdir}/pkgconfig/gstreamer-plugins-base-%{majorminor}.pc

# gtk-doc documentation
%doc %{_datadir}/gtk-doc/html/gst-plugins-base-libs-%{majorminor}
%doc %{_datadir}/gtk-doc/html/gst-plugins-base-plugins-%{majorminor}

%{_libdir}/libgstaudio-%{majorminor}.a
%{_libdir}/libgstinterfaces-%{majorminor}.a
%{_libdir}/libgstnetbuffer-%{majorminor}.a
%{_libdir}/libgstriff-%{majorminor}.a
%{_libdir}/libgstrtp-%{majorminor}.a
%{_libdir}/libgsttag-%{majorminor}.a
%{_libdir}/libgstvideo-%{majorminor}.a
%{_libdir}/libgstcdda-%{majorminor}.a
%{_libdir}/libgstpbutils-%{majorminor}.a

%{_libdir}/gstreamer-%{majorminor}/libgstadder.a
%{_libdir}/gstreamer-%{majorminor}/libgstaudioconvert.a
%{_libdir}/gstreamer-%{majorminor}/libgstaudiotestsrc.a
%{_libdir}/gstreamer-%{majorminor}/libgstffmpegcolorspace.a
%{_libdir}/gstreamer-%{majorminor}/libgstdecodebin.a
%{_libdir}/gstreamer-%{majorminor}/libgstplaybin.a
%{_libdir}/gstreamer-%{majorminor}/libgsttypefindfunctions.a
%{_libdir}/gstreamer-%{majorminor}/libgstvideotestsrc.a
%{_libdir}/gstreamer-%{majorminor}/libgstaudiorate.a
%{_libdir}/gstreamer-%{majorminor}/libgstsubparse.a
%{_libdir}/gstreamer-%{majorminor}/libgstvolume.a
%{_libdir}/gstreamer-%{majorminor}/libgstvideorate.a
%{_libdir}/gstreamer-%{majorminor}/libgstvideoscale.a
%{_libdir}/gstreamer-%{majorminor}/libgsttcp.a
%{_libdir}/gstreamer-%{majorminor}/libgstvideo4linux.a
%{_libdir}/gstreamer-%{majorminor}/libgstaudioresample.a
%{_libdir}/gstreamer-%{majorminor}/libgstcdparanoia.a
%{_libdir}/gstreamer-%{majorminor}/libgstlibvisual.a
%{_libdir}/gstreamer-%{majorminor}/libgstgdp.a

%{_libdir}/gstreamer-%{majorminor}/libgstalsa.a
%{_libdir}/gstreamer-%{majorminor}/libgstgnomevfs.a
%{_libdir}/gstreamer-%{majorminor}/libgstogg.a
%{_libdir}/gstreamer-%{majorminor}/libgstpango.a
%{_libdir}/gstreamer-%{majorminor}/libgsttheora.a
%{_libdir}/gstreamer-%{majorminor}/libgstvorbis.a
%{_libdir}/gstreamer-%{majorminor}/libgstximagesink.a
%{_libdir}/gstreamer-%{majorminor}/libgstxvimagesink.a
%{_libdir}/gstreamer-%{majorminor}/libgstdecodebin2.a
%{_libdir}/gstreamer-%{majorminor}/libgstqueue2.a
%{_libdir}/gstreamer-%{majorminor}/libgsturidecodebin.a

%changelog
* Fri Jun  8 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.13-1m)
- update to 0.10.13

* Thu Mar 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.12-1m)
- update to 0.10.12

* Wed Jan 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.11-2m)
- rebuild against libvisual-0.4.0-3m

* Sat Dec 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.11-1m)
- update to 0.10.11

* Thu Oct 26 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.10.10-1m)
- update to 0.10.10

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.7-5m)
- delete libtool library

* Wed Jun 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.7-4m)
- Requires: libvisual = 0.2.0 for yum

* Tue Jun 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.7-3m)
- rebuild against libvisual-0.2.0
- remove gstreamer-plugins-base-libvisual.patch

* Mon Jun 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.7-2m)
- import gstreamer-plugins-base-libvisual.patch from PLD Linux
 +- Revision 1.17  2006/05/12 20:23:57  qboosh
 +- added libvisual patch (use libvisual 0.4.0)
  gst-plugins-base-0.10.8 supports libvisual-0.4.0
  but it requires gstreamer-0.10.7 or 0.10.8
  amarok-1.4.1-beta1 doesn't work with gstreamer-0.10.7 and 0.10.8

* Wed May 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.7-1m)
- update to 0.10.7

* Sat May  6 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.6-1m)
- update to 0.10.6

* Mon Apr  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.5-1m)
- import from FC
- update to 0.10.5

* Fri Feb 10 2006 Christopher Aillon <caillon@redhat.com> - 0.10.3-1
- Update to 0.10.3

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.10.2-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Feb 02 2006 Warren Togami <wtogami@redhat.com> - 0.10.2-2
- buildreq cdparanoia-devel (#179034 thias)

* Wed Jan 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.10.2-1
- Upgrade to 0.10.2
- Require gstreamer-0.10.2
- Add libgstcdda and libcdparanoia to the %files section

* Fri Jan 06 2006 John (J5) Palmieri <johnp@redhat.com> - 0.10.1-1
- New upstream version
- gst-launch removed from upstream

* Sat Dec 17 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.10.0-1
- Fedora Development build

* Wed Dec 14 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.10.0-0.gst.2
- new glib build

* Mon Dec 05 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.10.0-0.gst.1
- new release

* Thu Dec 01 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.7-0.gst.1
- new release with 0.10 majorminor
- remove sinesrc
- replace ximage with ximagesink
- update libs

* Sat Nov 12 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.5-0.gst.1
- new release

* Mon Oct 24 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.4-0.gst.1
- added audiotestsrc plugin
- new release

* Mon Oct 03 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.3-0.gst.1
- new release

* Fri Sep 02 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- clean up a little

* Fri May 6 2005 Christian Schaller <christian at fluendo dot com>
- Added libgstaudiorate and libgstsubparse to spec file

* Thu May 5 2005 Christian Schaller <christian at fluendo dot com>
- first attempt at spec file for gst-plugins-base
